//
// C++ Interface: kmyfirewallinterface
//
// Description:
//
//
// Author: Christian Hubinger <chubinger@gmail.com>, (C) 2003
//
// Copyright: See COPYING file that comes with this distribution
//
//
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef KMYFIREWALLINTERFACE_H
#define KMYFIREWALLINTERFACE_H

/**
@author Christian Hubinger
*/

#include <qobject.h>
#include <kdemacros.h>

class KMFProcOut;
class KMFDoc;
class KMFCompilerPlugin;
class QWidget;

class KDE_EXPORT KMyFirewallInterface {
public:
	KMyFirewallInterface();
	virtual ~KMyFirewallInterface();
	virtual KMFDoc* doc() = 0;
	virtual void showEditor() = 0;
	virtual void showOutput() = 0;
	virtual void setOutputWidget( QWidget* wid ) = 0;
	virtual void checkStatus() = 0;
};

#endif
